### Method

# AppStreamCompose IconPolicyIter next

#### Declaration [src]

    gboolean
    asc_icon_policy_iter_next (
      AscIconPolicyIter* iter,
      guint* size,
      guint* scale,
      AscIconState* state
    )

#### Description [src]

Returns the current icon policy entry and advances the iterator. Example:

    AscIconPolicyIter iter;
    guint icon_size;
    guint icon_scale;
    AscIconState istate;

    asc_icon_policy_iter_init (&iter, ipolicy);
    while (asc_icon_policy_iter_next (&iter, &icon_size, &icon_scale, &istate)) {
        // do something with the icon entry data
    }

#### Parameters

`size`

  Type: `guint*`

  Destination of the returned icon size.

  The argument will be set by the function.
  The argument can be `NULL`.

`scale`

  Type: `guint*`

  Destination of the returned icon scale factor.

  The argument will be set by the function.
  The argument can be `NULL`.

`state`

  Type: `AscIconState`

  Destination of the returned designated icon state.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if the last entry has been reached.